Description

I think the default calendar layout for responsive mode is small and a little hard to see.

It would be user-friendly if the user could change the calendar view from the default to a vertical list style.

I've just created the theme which can change calendar view via JavaScript.

I attached the sample screenshot. I hope it would be help.

 calendar-ui-proposal.png 

Associated revisions

Revision 22283 - 2023-08-27 08:40 - Go MAEDA

Display calendar in vertical list layout on mobile screens (#33682).

Patch by Takashi Kato.

History

#1 - 2020-07-01 09:41 - Mizuki ISHIKAWA

+1

I think the layout of calendar-ui-proposal.png is very good.

In the current layout, there are many line breaks in the issue information and it is difficult to read.

#2 - 2020-07-02 04:50 - Go MAEDA

Nice improvement!

I think the button to switch the view is unnecessary because the current calendar view in the mobile mode is not useful. In the mobile mode, showing

in a vertical list layout by default is better, I think.

#3 - 2020-07-03 08:02 - Akiko Takano

Thanks for your feedback.

showing in a vertical list layout by default is better, I think.

 I agree with you.

Looking forward to improving the UI.　

#4 - 2020-07-13 04:31 - Akipii Oga

+1

#5 - 2020-07-28 15:21 - Holger Just

- Description updated

#6 - 2020-07-28 15:24 - Holger Just

I like this proposal.

If you can implement the new mobile layout in CSS only (that is: without requiring different HTML from the tabular view), this can be included in the

default mobile theme easily. Here, we already apply different layouts based on the browser window width using CSS @media queries.
#7 - 2023-08-02 18:15 - Takashi Kato

- File 0001-Support-vertical-list-layout-calendar-33682.patch added

- File vertical_calendar_screencast.webp added

I've written the patch.

The layout switches responsively depending on the size of the screen.

#8 - 2023-08-02 18:19 - Takashi Kato

The screencast is here.

 vertical_calendar_screencast.webp 

#9 - 2023-08-03 00:46 - Takashi Kato

- File 0002-Fix-functional-tests.patch added

Fix functional tests

#10 - 2023-08-03 01:55 - Mizuki ISHIKAWA

The #note-7 patched calendar looks great. I can't wait to use it in Redmine.

#11 - 2023-08-10 09:33 - Go MAEDA

- Target version set to 5.1.0

Setting the target version to 5.1.0.

#12 - 2023-08-27 08:41 - Go MAEDA

- Subject changed from Calendar UI proposal (Vertical list layout) to Display calendar in vertical list layout on mobile screens

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch in r22283. Thank you for your contribution.

#13 - 2023-08-27 12:41 - ASHRAF ALZYOUD

these patch conflict with all plugins in redmineup

#14 - 2023-08-27 12:43 - ASHRAF ALZYOUD

ASHRAF ALZYOUD wrote in #note-13:

these patch conflict with all plugins in redmineup

#15 - 2023-08-29 02:24 - Go MAEDA

ASHRAF ALZYOUD wrote in #note-13:

these patch conflict with all plugins in redmineup

 Which plugin has problems? I cannot confirm the problem. I have tried the following plugins by Redmine UP and they all work.

redmine_agile-1_6_5-light.zip

redmine_budgets-1_0_4-light.zip

redmine_checklists-3_1_22-light.zip

redmine_crm-4_3_7-light.zip

redmine_drive-1_2_0-light.zip

redmine_people-1_6_3-light.zip

redmine_resources-2_0_0-light.zip

#16 - 2023-09-21 08:58 - Kirill Bezrukov (RedmineUP)

We are already working on this problem. It will be solved in the next release
https://www.redmine.org/projects/redmine/repository/svn/revisions/22283


#17 - 2023-10-29 21:30 - ashraf alzyoud

Kirill Bezrukov (RedmineUP) wrote in #note-16:

We are already working on this problem. It will be solved in the next release

any update??

to work with me im

1. helper : calendar
